import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Start button on the main menu. Starts the game when clicked
 * 
 * @author Michael Garwood
 * @version 3/1/10
 */
public class StartButton  extends Actor
{
    /**
     * Act - do whatever the StartButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkClick();
    }    
    
    public void checkClick()
    {
        if(Greenfoot.mouseClicked(this))
        {
            ((VectorWorld) getWorld()).beginGame();
        }
    }
    
}
