import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Takes the game back to the main menu when clicked
 * 
 * @author Michael Garwood
 * @version 5/1/10
 */
public class RetryButton  extends Actor
{
    /**
     * Act - do whatever the RetryButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkClick();
    }    
    
    public void checkClick()
    {
        if(Greenfoot.mouseClicked(this))
        {
            ((VectorWorld) getWorld()).restartGame();
            getWorld().removeObject(this);
        }
    }
}
